%global sum	Advanced Linux Sound Architecture (ALSA) graphical mixer
%define beta	rc2_1
%define fbeta	rc2-1

Name:		alsamixergui
Version:	0.9.0
Release:	%mkrel 2.%{beta}.14
Summary:	%{sum}
License:	GPLv2
Group:		Sound/Mixers
URL:		http://www.iua.upf.es/~mdeboer/projects/alsamixergui/
# This is where the source used to live, but this upstream is dead.
# Source0:	ftp://www.iua.upf.es/pub/mdeboer/projects/alsamixergui/%%{name}-%%{version}rc1-2.tar.gz
# This tarball was taken from Debian, and is the most recent version as far as I know.
Source0:	https://ftp.debian.org/debian/pool/main/a/alsamixergui/alsamixergui_0.9.0rc2-1.orig.tar.gz
# This is debian's patch, taken 2013-04-01
Patch0:		alsamixergui_0.9.0rc2-1-9.1.diff
Patch1:		alsamixergui-strsignal.patch
BuildRequires:	kernel-headers
BuildRequires:	pkgconfig(alsa) >= %{version}
BuildRequires:	fltk-devel

%description
alsamixergui is a FLTK based frontend for alsamixer. It is written
directly on top of the alsamixer source, leaving the original source
intact, only adding a couple of ifdefs, and some calls to the GUI
part, so it provides exactly the same functionality, but with a 
graphical user interface.

%prep
%setup -q -n %{name}-%{version}%{fbeta}.orig
%autopatch -p1
autoreconf -i

#fix build with new automake
sed -i -e 's,AM_CONFIG_HEADER,AC_CONFIG_HEADERS,g' configure.*

%build
%configure
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=AlsaMixerGUI
Comment=%{sum}
Exec=%{name}
Icon=sound_section
Terminal=false
Type=Application
Categories=Audio;Mixer;
EOF

%files
%doc AUTHORS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.9.0-2.rc2_1.14.mga10
+ Revision: 2213166
- Mageia 10 Mass Rebuild

* Thu Mar 31 2022 umeabot <umeabot> 0.9.0-2.rc2_1.13.mga9
+ Revision: 1836847
- Mageia 9 Mass Rebuild

* Fri Nov 27 2020 tv <tv> 0.9.0-2.rc2_1.12.mga8
+ Revision: 1649698
- switch to debian sources which are newer
- drop merged patches
- add debian patch
- fix build with glibc-2.32
- note that upstream URL is dead

* Wed Apr 15 2020 danf <danf> 0.9.0-2.rc1_5.12.mga8
+ Revision: 1567565
- Fix Comment= in .desktop file to stop referring to debug sources

* Wed Feb 12 2020 umeabot <umeabot> 0.9.0-2.rc1_5.11.mga8
+ Revision: 1508453
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Fri Sep 21 2018 umeabot <umeabot> 0.9.0-2.rc1_5.10.mga7
+ Revision: 1294297
- Mageia 7 Mass Rebuild

* Wed Feb 10 2016 umeabot <umeabot> 0.9.0-2.rc1_5.9.mga6
+ Revision: 953054
- Mageia 6 Mass Rebuild

* Sun Aug 16 2015 fwang <fwang> 0.9.0-2.rc1_5.8.mga6
+ Revision: 865069
- rebuild for new fltk

* Wed Oct 15 2014 umeabot <umeabot> 0.9.0-2.rc1_5.7.mga5
+ Revision: 743256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.0-2.rc1_5.6.mga5
+ Revision: 677743
- Mageia 5 Mass Rebuild

* Wed Apr 02 2014 daviddavid <daviddavid> 0.9.0-2.rc1_5.5.mga5
+ Revision: 611399
- rebuild for Mageia 5 (missed Mageia 4 Mass Rebuild)
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 0.9.0-2.rc1_5.3.mga3
+ Revision: 345520
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 31 2012 wally <wally> 0.9.0-2.rc1_5.2.mga3
+ Revision: 336495
- fix build with new automake

* Thu Nov 22 2012 barjac <barjac> 0.9.0-2.rc1_5.1.mga3
+ Revision: 320412
- Change group in line with new policy
- correct license
- correct grammar in description

* Wed Feb 08 2012 kamil <kamil> 0.9.0-1.rc1_5.1.mga2
+ Revision: 206357
- bump release to be updateable from Mandriva 2010

* Mon Feb 06 2012 kamil <kamil> 0.9.0-0.rc1_5.1.mga2
+ Revision: 205531
- adapt .spec for Mageia
- imported package alsamixergui


* Sun Oct 16 2011 Bogdano Arendartchuk <bogdano@mandriva.com> 0.9.0-0.14rc1_5.2
+ Revision: 704937
- rebuild for new fltk

* Wed Feb 02 2011 Funda Wang <fwang@mandriva.org> 0.9.0-0.14rc1_5.1
+ Revision: 634997
- rebuild
- tighten BR

* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 0.9.0-0.14rc1_5mdv2011.0
+ Revision: 493232
- rebuild for new fltk
- fix str fmt

* Sun Dec 07 2008 Thierry Vignaud <tv@mandriva.org> 0.9.0-0.14rc1_4mdv2009.1
+ Revision: 311681
- rebuild for new fltk

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 0.9.0-0.13rc1_4mdv2009.0
+ Revision: 218429
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jan 16 2008 Thierry Vignaud <tv@mandriva.org> 0.9.0-0.13rc1_4mdv2008.1
+ Revision: 153719
- remove useless kernel require
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

* Mon Dec 10 2007 Funda Wang <fwang@mandriva.org> 0.9.0-0.12rc1_4mdv2008.1
+ Revision: 116837
- drop old menu

  + Thierry Vignaud <tv@mandriva.org>
    - buildrequires X11-devel instead of XFree86-devel

* Wed May 23 2007 Christiaan Welvaart <spturtle@mandriva.org> 0.9.0-0.12rc1_3mdv2008.0
+ Revision: 30393
- sync with 0.9.0-0.12rc1_3mdv2007.1 src rpm
  o add xdg menu stuff


* Fri Sep 29 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.0-0.11rc1_3
- sync with mille-xterm

* Mon Dec 13 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.9.0-0.10rc1_3mdk
- rebuild
- spec cosmetics
- do parallell build

* Wed Jun 16 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.9.0-0.9rc1_3mdk
- Rebuild

